# DataExchange
TKXSBase
IFSelect

# IFSelect_ModifReorder Class Reference

This modifier reorders a whole model from its roots, i.e.
according to <rootlast> status, it considers each of its
roots, then it orders all its shared entities at any level,
the result begins by the lower level entities ... ends by
the roots.
.

`#include <IFSelect_ModifReorder.hxx>`

Inheritance diagram for IFSelect_ModifReorder:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_ModifReorder (const Standard_Boolean rootlast=Standard_True)
| Creates a ModifReorder. It may change the graph (it does !) If <rootlast> is True (D), roots are set at the end of packets Else, they are set at beginning (as done by AddWithRefs) .
Standard_EXPORT void | Perform (IFSelect_ContextModif &ctx, const Handle(Interface_InterfaceModel)&target, const Handle(Interface_Protocol)&protocol, Interface_CopyTool &TC) const
| Acts by computing orders (by method All from ShareTool) then forcing them in the model. Remark that selection is ignored : ALL the model is processed in once .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns Label as "Reorder, Roots (last or first)" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | thertl

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_ModifReorder::IFSelect_ModifReorder | ( | const Standard_Boolean | rootlast = `Standard_True` | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_ModifReorder::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Modifier.

Standard_EXPORT TCollection_AsciiString IFSelect_ModifReorder::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT void IFSelect_ModifReorder::Perform | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(Interface_InterfaceModel)& | target,
|  | const Handle(Interface_Protocol)& | protocol,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IFSelect_Modifier.

## Field Documentation

Standard_Boolean IFSelect_ModifReorder::thertl `[private]`

The documentation for this class was generated from the following file:

- IFSelect_ModifReorder.hxx